org.eclipse.mat.ui.internal.browser

## Class QueryBrowserPopup

- java.lang.Object
- - PopupDialog
  - - org.eclipse.mat.ui.internal.browser.QueryBrowserPopup

    public class QueryBrowserPopup
    extends PopupDialog

### Nested Class Summary

Nested Classes
`static interface` `QueryBrowserPopup.Element`

### Constructor Summary

Constructors
Constructor and Description
`QueryBrowserPopup(MultiPaneEditor editor)`
`QueryBrowserPopup(MultiPaneEditor editor, boolean onlyHistory)`
`QueryBrowserPopup(MultiPaneEditor editor, boolean onlyHistory, IPolicy policy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryBrowserPopup

    public QueryBrowserPopup(MultiPaneEditor editor)

#### QueryBrowserPopup

    public QueryBrowserPopup(MultiPaneEditor editor,
                             boolean onlyHistory)

#### QueryBrowserPopup

    public QueryBrowserPopup(MultiPaneEditor editor,
                             boolean onlyHistory,
                             IPolicy policy)

### Method Detail

#### close

    public boolean close()